{
  "name": "mel-api",
  "version": "1.2.0",
  "description": "",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "scripts": {
    "local:build": "npm run prebuild && npm run build",
    "start:debug": "nest start --debug --watch",
    "build:docker": "docker build -t ltreille/%npm_package_name%:%npm_package_version% .",
    "docker:push": "docker push ltreille/%npm_package_name%:%npm_package_version%",
    "prebuild": "rimraf dist",
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:prod": "node dist/main",
    "build:docker-bash": "docker build -t ltreille/$npm_package_name:$npm_package_version .",
    "docker:push-bash": "docker push ltreille/$npm_package_name:$npm_package_version",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json"
  },
  "dependencies": {
    "@narando/nest-axios-interceptor": "^1.1.0",
    "@nestjs/axios": "0.0.1",
    "@nestjs/common": "^8.0.6",
    "@nestjs/config": "^1.0.1",
    "@nestjs/core": "^8.0.6",
    "@nestjs/mongoose": "8.0.0",
    "@nestjs/platform-express": "^8.0.6",
    "@nestjs/serve-static": "^2.2.2",
    "axios": "^0.21.1",
    "class-transformer": "^0.3.1",
    "class-validator": "^0.13.1",
    "class-validator-jsonschema": "^2.2.0",
    "jwt-decode": "^3.1.2",
    "mongoose": "5.13.0",
    "nestjs-rate-limiter": "^2.7.4",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.2",
    "rxjs": "^7.2.0",
    "shelljs": "^0.8.4",
    "tinify": "^1.6.0-beta.2",
    "uuid": "^8.3.2"
  },
  "devDependencies": {
    "@nestjs/cli": "^7.6.0",
    "@nestjs/schematics": "^7.3.1",
    "@nestjs/testing": "^7.6.18",
    "@types/express": "^4.17.12",
    "@types/jest": "^26.0.23",
    "@types/multer": "^1.4.7",
    "@types/node": "^14.17.4",
    "@types/shelljs": "^0.8.8",
    "@types/supertest": "^2.0.11",
    "@types/uuid": "^8.3.1",
    "@typescript-eslint/eslint-plugin": "^4.28.1",
    "@typescript-eslint/parser": "^4.28.1",
    "eslint": "^7.29.0",
    "eslint-config-prettier": "7.2.0",
    "eslint-plugin-prettier": "^3.4.0",
    "jest": "^26.6.3",
    "nodemon": "^2.0.12",
    "prettier": "^2.3.2",
    "supertest": "^6.0.0",
    "ts-jest": "^26.5.6",
    "ts-loader": "^8.3.0",
    "ts-node": "^9.0.0",
    "tsconfig-paths": "^3.9.0",
    "typescript": "^4.3.4"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}